wszystkie opcje
bullseye  ] [  bookworm  ] [  sid  ]
[ Pakiet źródłowy: vim-ale  ]

Pakiet: vim-ale (3.2.0-1)

Odnośniki dla vim-ale

Screenshot

Zasoby systemu Debian:

Pobieranie pakietu źródłowego vim-ale:

Opiekun:

Zasoby zewnętrzne:

Podobne pakiety:

Asynchronous Lint Engine for Vim 8 and NeoVim

ALE (Asynchronous Lint Engine) is a plugin providing linting (syntax checking and semantic errors) in NeoVim 0.2.0+ and Vim 8 while you edit your text files, and acts as a Vim Language Server Protocol client.

ALE makes use of NeoVim and Vim 8 job control functions and timers to run linters on the contents of text buffers and return errors as text is changed in Vim. This allows for displaying warnings and errors in files being edited in Vim before files have been saved back to a filesystem. In other words, this plugin allows you to lint while you type.

After installing the package, you can put ‘packadd! ale’ to your vimrc file to activate the plugin.

Inne pakiety związane z vim-ale

  • wymaga
  • poleca
  • sugeruje
  • enhances

Pobieranie vim-ale

Pobierz dla wszystkich dostępnych architektur
Architektura Rozmiar pakietu Rozmiar po instalacji Pliki
all 307,1 KiB2 463,0 KiB [lista plików]